{
	fetchFromGitHub ,
	stdenv ,
} :

with stdenv ;

mkDerivation {
	pname = "python-django-imagekit" ;
	version = "2024-07-22-4cbbc52" ;

	src = fetchFromGitHub {
		owner = "matthewwithanm" ;
		repo = "django-imagekit" ;
		rev = "4cbbc52fabfd99a6306cdbb8ab2602bb0a0190a9" ;
		hash = "sha256-QYWhXh404JNAZN7kXYhsPQpFpyBA/MehxJOxdDKX0Mc=" ;
	} ;

	dontPatch = true ;
	dontConfigure = true ;
	dontBuild = true ;

	installPhase = ''
		runHook preInstall

		mkdir -p $out/lib/python3.11/site-packages
		cp -r $src/imagekit $out/lib/python3.11/site-packages/

		runHook postInstall
	'' ;
}
